Loading...
Searching...
No Matches
Util::AllowedValueInfo Struct Reference

Allowed value hash. More...

## Public Attributes

string | desc
| Description for the value.
*bool | disabled
| If the value is disabled.
*string | display_name
| A display name for the allowed value.
*string | icon
| Any icon info for the allowed value.
*string | image
| Any image info for the allowed value.
*string | intent
| Any UI intent associated with the value.
*list< hash< UiMessageInfo > > | messages
| Messages related to the value.
*hash< auto > | metadata
| Any additional data about the value.
*string | short_desc
| A short description in plain text for the value.
auto | value
| The value itself.

## Detailed Description

Allowed value hash.